BETCORE Aggregator
Provider IntegrationCasino IntegrationFeed Integration
Provider IntegrationCasino IntegrationFeed Integration
Visit Betcore website
Follow Betcore on Instagram
Follow Betcore on LinkedIn
Follow Betcore on Youtube
  1. FreeBets
  • PLEASE READ: Getting Started
  • Integrate BETCORE Games
    • Integrate BETCORE Games
    • WebFrame Connection
    • Promotional campaigns
    • Freebets
    • BETCORE API
      • Authentication
        • Token
          POST
        • Verify
          POST
        • Jwks
          GET
      • Payments
        • Accept
          POST
      • Rollbacks
        • Make
          POST
        • Accept
          POST
      • Cashback
        • Accept
          POST
    • PROMO API
      • Signing of server requests
      • FreeBets
        • Campaign/Create
          POST
        • Issue
          POST
        • Cancel
          POST
    • PARTNER API
      • Users
        • Auth
          POST
        • Data
          POST
      • Payments
        • Info
          POST
        • Make
          POST
        • Make-list
          POST
        • Close
          POST
      • Cashback
        • Make
          POST
  • Integrate YOUR Games
    • Integrate as Games Provider
    • PARTNER API
      • Games
        • Games
          GET
        • Launch
          POST
    • BETCORE API
      • Get Balance
        • Balance
          GET
      • Bets
        • PayIn
          POST
        • PayOut
          POST
        • PayInOut
          POST
        • Refund
          POST
  • Feed Integration
    • Feed Integration
    • REST API
      • Authorization
        • Token
          POST
      • Games
        • List
          GET
        • Info
          GET
        • Translations
          GET
      • Jackpot
        • Accumulated
          GET
    • Websocket
      • SubOnWholeGamesInfo
  1. FreeBets

Campaign/Create

POST
https://backend.bcdprod.net/partnersmediator-service/api/v3/FreeBets/Campaign/Create
That method is used to create a freebets campaign template that can later be used to issue freebets to players.
Freebet campaign creation is optional. Freebets can be issued either by referencing a pre-created campaign or directly without creating a campaign:
  • if a campaign is used, it defines reusable configuration: games, bet amounts, validity period, coefficient limits.
  • if no campaign is used, all required freebet parameters must be provided directly in the Issue request.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠4XX4XX: Client Error
🔴5XX5XX: Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.bcdprod.net/partnersmediator-service/api/v3/FreeBets/Campaign/Create' \
--header 'X-REQUEST-SIGN: XXX' \
--header 'Content-Type: application/json' \
--data '{
    "client_id": 6781234521,
    "campaign_id": "2234612623",
    "name": "Summer Freebet 2026",
    "quantity": 1,
    "valid_from": "2026-05-07T12:00:00Z",
    "valid_until": "2026-05-14T12:00:00Z",
    "games": [
        "game"
    ],
    "bet_amounts": [
        {
            "currency": "EUR",
            "amount": "10.00"
        },
        {
            "currency": "USD",
            "amount": "11.00"
        }
    ],
    "duration_min": 1440,
    "config": {
        "bonus_limit": 1000,
        "bonus_limit_per_user": 1,
        "min_coefficient": "1.5",
        "max_coefficient": "10.0"
    }
}'
Response Response Example
200 - HTTP status code: 200
{
    "campaign_id": "summer_fs_2026"
}
Previous
Signing of server requests
Next
Issue
Built with